View Issue Details

IDProjectCategoryView StatusLast Update
0006600CentOS-6rsyncpublic2013-10-17 08:09
Reporterochapman 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionwon't fix 
Product Version6.2 
Target VersionFixed in Version 
Summary0006600: rsync package requires problem
Descriptionrsync has daemon mode, so there is no server program like tftpd/telnetd(or old rsyncd which in SuSE10/11), and no rsync-server
rsync has xinetd configuration file /etc/xinetd.d/rsync like tftp-server(/etc/xinetd.d/tftp) and telnet-server(/etc/xinetd.d/telnet).
But tftp/telnet-server requires xinetd, and rsync does not require.
in this case, a system have rsync installed but no xinetd, system admin have to install xinetd manually if they want rsync be controlled by xinetd.

solutions?
add "Requires xinetd" to rsync.spec in rsync rpm package.
 

Additional Informationi found there is no requires in rsync.spec in redhat's latest source rpm:http://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/rsync-3.0.6-9.el6.src.rpm, so same in 6.4
TagsNo tags attached.

Activities

tigalch

tigalch

2013-09-26 19:11

manager   ~0018079

CentOS inherits every feature/bug from upstream, being RedHat. Please be so kind and file this bug upstream at bugzilla.redhat.com. Once it is fixed upstream, CentOS will inherit the fix. No, you don't need a subscription to report bugs.
tigalch

tigalch

2013-09-28 19:55

manager   ~0018102

now filed upstream as https://bugzilla.redhat.com/show_bug.cgi?id=1013248
tigalch

tigalch

2013-10-17 07:35

manager   ~0018187

According to the recent notes at upstreams bugzilla it seems like this won't get pulled into the package.
tigalch

tigalch

2013-10-17 08:09

manager   ~0018188

Bug closed as WONTFIX upstream.

Issue History

Date Modified Username Field Change
2013-08-08 02:42 ochapman New Issue
2013-09-26 19:11 tigalch Note Added: 0018079
2013-09-26 19:11 tigalch Status new => feedback
2013-09-28 19:55 tigalch Note Added: 0018102
2013-10-17 07:35 tigalch Note Added: 0018187
2013-10-17 08:09 tigalch Note Added: 0018188
2013-10-17 08:09 tigalch Status feedback => resolved
2013-10-17 08:09 tigalch Resolution open => won't fix